--forbidden
name = "robot";

physic = 1;
phys_solid = 0;
phys_bullet_collidable = 1;
phys_max_x_vel = 5;
phys_max_y_vel = 50;
phys_jump_vel = 20;
phys_walk_acc = 3;
phys_one_sided = 0;
mp_count = 1;

FunctionName = "CreateEnemy";

--  

texture = "robot";

z = -0.001;

image_width = 256;
image_height = 128;
local speed = 200;

animations = 
{
	{ 
		-- 
		name = "init";
		frames = 
		{
			--{ com = constants.AnimComRealX; param = 0 },
			--{ com = constants.AnimComRealY; param = 0 },
			{ com = constants.AnimComRealW; param = 30 },
			{ com = constants.AnimComRealH; param = 33 },
			{ com = constants.AnimComSetHealth; param = 60*difficulty },
			{ com = constants.AnimComPushInt; param = 0 },
			{ com = constants.AnimComPushInt; param = 1600 },
			{ com = constants.AnimComSetGravity },
			{ com = constants.AnimComSetTouchable; param = 0 },
			{ com = constants.AnimComSetAnim; txt = "idle" }	
		}
	},
	{ 
		name = "idle";
		frames = 
		{
			{ dur = 100; num = 0; com = constants.AnimComWaitForTarget; param = 3000; txt = "move" },
			{ com = constants.AnimComLoop }	
		}
	},
	{ 
		-- 
		name = "pain";
		frames = 
		{
			{ com = constants.AnimComPop },
			{ com = constants.AnimComReduceHealth },
			{ com = constants.AnimComSetBulletCollidable; param = 0 },
			--{ com = constants.AnimComPushInt; param = 0 },
			--{ com = constants.AnimComPushInt; param = 0 },
			--{ com = constants.AnimComCreateParticles; txt = "pblood-wound"; param = 2 },
			{ dur = 100; num = 2; com = constants.AnimComRealH; param = 33 },
			{ dur = 100; num = 3 },
			{ dur = 5000; num = 4 },
			{ dur = 100; num = 3 },
			{ dur = 100; num = 2 },
			{ com = constants.AnimComSetBulletCollidable; param = 1 },
			{ com = constants.AnimComRecover; txt = "idle" }
		}
	},
	{ 
		-- 
		name = "move";
		frames = 
		{
			{ com = constants.AnimComSetBulletCollidable; param = 1 },
			{ com = constants.AnimComRealH; param = 33 },
			{ dur = 100; num = 0; com = constants.AnimComMoveToTargetX; param = speed },
			{ com = constants.AnimComPushInt; param = 60 },
			{ com = constants.AnimComJumpIfTargetClose; param = 10 },		
			{ com = constants.AnimComRealH; param = 34 },
			{ dur = 100; num = 1; com = constants.AnimComMoveToTargetX; param = speed },
			{ com = constants.AnimComPushInt; param = 60 },
			{ com = constants.AnimComJumpIfTargetClose; param = 10 },
			{ com = constants.AnimComLoop },
			{ dur = 0 },
			{ com = constants.AnimComSetAnim; txt = "attack" }
		}
	},
	{
		name = "attack";
		frames =
		{
			{ com = constants.AnimComRealH; param = 34 },
			{ com = constants.AnimComRealX; param = 3 },
			{ dur = 100; num = 5},
			{ com = constants.AnimComRealX; param = 7 },
			{ dur = 100; num = 6},
			{ dur = 100; num = 8},
			{ dur = 100; num = 9},
			{ dur = 100; num = 10},

			{ com = constants.AnimComRealH; param = 42 },
			--{ com = constants.AnimComRealX; param = 14 },
			{ com = constants.AnimComSetTouchable; param = 1 },
			{ dur = 100; num = 11},
			--{ com = constants.AnimComRealX; param = 12 },
			{ com = constants.AnimComSetTouchable; param = 1 },
			{ dur = 100; num = 12},
			{ com = constants.AnimComSetTouchable; param = 1 },
			--{ com = constants.AnimComRealX; param = 10 },
			{ dur = 100; num = 13},
			{ com = constants.AnimComSetTouchable; param = 1 },
			--{ com = constants.AnimComRealX; param = 12 },
			{ dur = 100; num = 14},
			
			{ com = constants.AnimComRealX; param = 0 },
			{ com = constants.AnimComSetTouchable; param = 0 },
			{ com = constants.AnimComSetAnim; txt = "move" }			
		}
	},
	{
		-- 
		name = "jump";
		frames = 
		{
			{ com = constants.AnimComSetBulletCollidable; param = 1 },
			{ com = constants.AnimComRealH; param = 33 },
			{ num = 0; dur = 100 }
		}
	},
	{
		name = "touch";
		frames = 
		{
			{ com = constants.AnimComJumpIfPlayerId; param = 2 },
			{ com = constants.AnimComRecover },
			{ dur = 0 },
			{ com = constants.AnimComDealDamage; param = 15*difficulty },
			{ com = constants.AnimComRecover },
		}
	},
	{ 
		-- 
		name = "die";
		frames = 
		{
			{ com = constants.AnimComSetTouchable; param = 0 },
			{ com = constants.AnimComCreateEnemyBullet; txt = "explosion" },
			{ com = constants.AnimComSetBulletCollidable; param = 0 },
			{ com = constants.AnimComRealW; param = 30 },
			{ com = constants.AnimComRealH; param = 33 },
			{ com = constants.AnimComMapVarAdd; param = 40; txt = "score" },
			{ dur = 5000; num = 15 },
			{ com = constants.AnimComDestroyObject }	
		}
	},
	{ 
		-- 
		name = "land";
		frames = 
		{
			{ com = constants.AnimComSetAnim; txt = "idle" }
		}
	}
	
}



